gtx/color_space.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | hsvColor (vec< 3, T, Q > const &rgbValue)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | luminosity (vec< 3, T, Q > const &color)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgbColor (vec< 3, T, Q > const &hsvValue)
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | saturation (T const s)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | saturation (T const s, vec< 3, T, Q > const &color)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | saturation (T const s, vec< 4, T, Q > const &color)

## Detailed Description

See also
  Core features (dependence)

Definition in file gtx/color_space.hpp.